List webhook deliveries
curl --request GET \
--url https://api.sellfern.com/webhooks/{id}/deliveries \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sellfern.com/webhooks/{id}/deliveries"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sellfern.com/webhooks/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event": "order.created",
"status": "delivered",
"attempts": 1,
"last_error": "<string>",
"next_retry_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "<string>"
}
}{
"success": false,
"error": {
"code": "unauthorized",
"message": "Missing or invalid API key."
},
"meta": {
"request_id": "<string>"
}
}{
"success": false,
"error": {
"code": "missing_scope",
"message": "Missing required scope."
},
"meta": {
"request_id": "<string>"
}
}{
"success": false,
"error": {
"code": "not_found",
"message": "Resource not found."
},
"meta": {
"request_id": "<string>"
}
}{
"success": false,
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded."
},
"meta": {
"request_id": "<string>"
}
}Webhooks
List webhook deliveries
Lists recent delivery attempts for a webhook endpoint after verifying the endpoint belongs to the authenticated organization. Delivery payloads are not returned.
Scope notes: Requires webhook read scope and authenticated organization isolation.
Read-only endpoint.
GET
/
webhooks
/
{id}
/
deliveries
List webhook deliveries
Authorizations
Sellfern public API key scoped to the authenticated organization. Do not use user JWTs for public integrations.
Path Parameters
Webhook endpoint ID.
Query Parameters
Maximum number of delivery attempts to return.
Required range:
1 <= x <= 100⌘I
